Subject: Re: bug#48421: 28.0.50; Edit region for query-replace gets lost

From: Juri Linkov <[email-masked]>
Date: Fri, 14 May 2021 21:13:59 +0300

> Note the edit region of 1,2,3 is lost.

Actually, the region is not lost.  We fixed this in bug#45617 recently,
so now query-replace operates on the correct region boundaries.

But during replacement the region is deactivated deliberately.
If you could confirm that query-replace preforms replacements
only in the selected region (although the region is deactivated
during replacement), then everything is correct.